Bug 218329 - ¿parser for proxy url in yum.conf are not work ok?
¿parser for proxy url in yum.conf are not work ok?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 13:24 EST by José de Mattos
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version: updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 14:49:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum.conf and fedora-core.repo files (683 bytes, application/x-gzip)
2006-12-04 13:24 EST, José de Mattos
no flags Details

  None (edit)
Description José de Mattos 2006-12-04 13:24:20 EST
Description of problem:

when i set in /etc/yum.conf the entrie proxy=http://<my_proxy_ip>:8080, the  url
is not make correcltly

Version-Release number of selected component (if applicable):

yum-3.0-6

How reproducible:

the proxy user toto3 is a ldap user for the proxy server

Steps to Reproduce:
1. set the following configuration to file "/etc/yum.conf

[main]
proxy=http://192.168.140.1:8080
proxy_username=toto3
proxy_password=passtoto3
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
metadata_expire=1800

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d

2. set the followig configuration in file "/etc/yum.repos.d/fedora.core.repo"

[core]
name=Fedora Core $releasever - $basearch
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$basearch/os/
mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-core-6
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY

[core-debuginfo]
name=Fedora Core $releasever - $basearch - Debug
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$basearch/debug/
mirrorlist=http://www.las.ic.unicamp.br/pub/fedora/linux/core/$releasever
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY

[core-source]
name=Fedora Core $releasever - Source
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/source/SRPMS/
mirrorlist=http://www.las.ic.unicamp.br/pub/fedora/linux/core/$releasever
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY
 
3. do the like of 2 to updates and extras files

4. execute the followin comand:

# su -c 'yum update'
  
Actual results:

# su -c 'yum update'
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
Could not retrieve mirrorlist
http://fedora.redhat.com/download/mirrors/fedora-core-6 error was
[Errno 4] IOError: <urlopen error nonnumeric port: '8080?'>
http://download.fedora.redhat.com/pub/fedora/linux/core/6/i386/os/repodata/repomd.xml:
[Errno 4] IOError: <urlopen error nonnumeric port: '8080?'>
Trying other mirror.
Error: Cannot open/read repomd.xml file for repository: core


Expected results:

i want to have add/remove package and updates ok

Additional info:

i edit this files with vi editor and kate to see if the end lines are not unix
endlines, but the endlines are unix endlines.

i execute the followin command (suggested for users from linuxcantabria) and the
 results are equals

iconv -f utf8 -t ascii yum.conf -o yum .conf.alternativo
Comment 1 José de Mattos 2006-12-04 13:24:20 EST
Created attachment 142758 [details]
yum.conf and fedora-core.repo files
Comment 2 Jeremy Katz 2007-04-25 14:49:53 EDT
Proxies work with a later update.

Note You need to log in before you can comment on or make changes to this bug.